<?xml version="1.0" encoding="utf-8"?>
<androidx.constraintlayout.widget.ConstraintLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    android:layout_width="match_parent"
    android:layout_height="56dp">

    <com.gh.gamecenter.common.view.TabIndicatorView
        android:id="@+id/indicatorView"
        android:layout_width="0dp"
        android:layout_height="8dp"
        android:layout_marginEnd="16dp"
        android:layout_marginRight="16dp"
        android:layout_marginBottom="8dp"
        app:disableIndicatorScaling="true"
        app:indicatorDrawable="@drawable/ic_commodity_selected"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@+id/searchContainer"
        app:layout_constraintStart_toStartOf="parent" />

    <com.gh.gamecenter.common.view.NoDefaultMinWidthTabLayout
        android:id="@+id/tabLayout"
        android:layout_width="0dp"
        android:layout_height="0dp"
        android:layout_marginTop="8dp"
        android:layout_marginEnd="16dp"
        android:layout_marginRight="16dp"
        android:layout_marginBottom="8dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@+id/searchContainer"
        app:layout_constraintStart_toStartOf="parent"
        app:layout_constraintTop_toTopOf="parent"
        app:tabIndicator="@null"
        app:tabMaxWidth="0dp"
        app:tabMode="scrollable"
        app:tabTextAppearance="@style/TabLayoutTextAppearance" />

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/searchContainer"
        android:layout_width="102dp"
        android:layout_height="32dp"
        android:layout_marginEnd="8dp"
        android:background="@drawable/home_search_bg"
        android:paddingStart="12dp"
        android:paddingEnd="12dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toStartOf="@+id/downloadContainer"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:id="@+id/searchIv"
            android:layout_width="14dp"
            android:layout_height="14dp"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/toolbar_search_icon" />

        <TextView
            android:id="@+id/searchTv"
            android:layout_width="wrap_content"
            android:layout_height="0dp"
            android:layout_marginStart="8dp"
            android:layout_marginLeft="8dp"
            android:ellipsize="end"
            android:gravity="center_vertical"
            android:hint="@string/news_search"
            android:singleLine="true"
            android:textColorHint="@color/text_instance"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintStart_toEndOf="@+id/searchIv"
            app:layout_constraintTop_toTopOf="parent" />

    </androidx.constraintlayout.widget.ConstraintLayout>

    <androidx.constraintlayout.widget.ConstraintLayout
        android:id="@+id/downloadContainer"
        android:layout_width="40dp"
        android:layout_height="0dp"
        android:layout_marginEnd="8dp"
        app:layout_constraintBottom_toBottomOf="parent"
        app:layout_constraintEnd_toEndOf="parent"
        app:layout_constraintTop_toTopOf="parent">

        <ImageView
            android:id="@+id/menu_download_iv"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintLeft_toLeftOf="parent"
            app:layout_constraintRight_toRightOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            app:srcCompat="@drawable/toolbar_download" />

        <TextView
            android:id="@+id/menu_download_count_hint"
            android:layout_width="wrap_content"
            android:layout_height="14dp"
            android:background="@drawable/bg_red_stroke_radius_999"
            android:gravity="center"
            android:includeFontPadding="false"
            android:textColor="@color/white"
            android:textSize="8sp"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="@+id/menu_download_iv"
            app:layout_constraintTop_toTopOf="@+id/menu_download_iv" />

    </androidx.constraintlayout.widget.ConstraintLayout>

</androidx.constraintlayout.widget.ConstraintLayout>